Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryObject

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_DirectoryObject

All Implemented Interfaces:
  DirectoryObjectInterface, IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieDirectoryObject

    public class S_DirectoryObject

extends S_TiePublicObject
implements DirectoryObjectInterface

The `S_DirectoryObject` class is the server side representation of an iFS user or group of users.

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Published)

Nested Class Summary
`protected class` | `S_DirectoryObject.AncestorSet` Manage a set of ancestor groups.

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_DirectoryObject(S_LibrarySession session, java.lang.Long classId)` Constructs an S_DirectoryObject in the case where the object has not been created in the database yet.
`protected` | `S_DirectoryObject(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_DirectoryObject.

Method Summary
`protected void` | `addAncestorsToSet(S_DirectoryObject.AncestorSet aset)` Gets the set of all IDs that are ancestors (direct or indirect) of this directory object.
`protected static S_DirectoryObject[]` | `constructDirectoryObjectArray(S_LibrarySession sess, java.lang.Long[] ids)` Construct a DirectoryObject array from an array of object IDs.
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations after freeing an object.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition def)` operations to be performed after creating an instance.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Performs the necessary operations before freeing an object.
`protected java.lang.Long[]` | `getAllAncestorIds()` Gets the set of all IDs that are members (direct or indirect) of this group.
`S_DirectoryObject[]` | `getAllAncestors()` Gets all ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
`S_DirectoryObject[]` | `getAllMembers()` Gets all members belonging to this DIRECTORYOBJECT.
`protected java.lang.Long[]` | `getAllMembersIds()` Gets all members belonging to this DIRECTORYOBJECT.
`protected java.lang.String` | `getCredentialManager()` Gets the credential manager of this DirectoryObject.
`java.lang.Long[]` | `getDirectAncestorIds()` Gets the direct ancestors of this DIRECTORYOBJECT.
`S_DirectoryObject[]` | `getDirectAncestors()` Gets direct group ancestors of a member, returning the ancestors as an array of S_DirectoryObject.
`S_DirectoryObject[]` | `getDirectMembers()` Gets the direct members of this DIRECTORYOBJECT.
`protected java.lang.String` | `getDistinguishedName()` Gets the distinguished name of this DirectoryObject.
`protected static S_DirectoryObject[]` | `vectorToSDirectoryObjectArray(S_LibrarySession sess, java.util.Vector vector)` Converts a Vector of S_DirectoryObject to an array of S_DirectoryObject.
`protected void` | `verifyCanBeMember()` Verifies that this instance can be a member of a group.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, cascadeDelete, cascadeFree, cascadeUndelete, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, deriveDefinition, determineResolvedObject, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreDelete, extendedPreInsert, extendedPreUndelete, extendedPreUpdate, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleCascade, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_DirectoryObject

    protected S_DirectoryObject(S_LibrarySession session,
                                S_LibraryObjectData data)
                         throws IfsException

  Constructs an S_DirectoryObject.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_DirectoryObject

    protected S_DirectoryObject(S_LibrarySession session,
                                java.lang.Long classId)
                         throws IfsException

  Constructs an S_DirectoryObject in the case where the object has not been created in the database yet.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getDistinguishedName

    protected java.lang.String getDistinguishedName()
                                             throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the distinguished name of this DirectoryObject.

  Returns:
    the distinguished name
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getCredentialManager

    protected java.lang.String getCredentialManager()
                                             throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the credential manager of this DirectoryObject.

  Returns:
    the credential manager
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getDirectMembers

    public S_DirectoryObject[] getDirectMembers()
                                         throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the direct members of this DIRECTORYOBJECT.

  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllMembers

    public S_DirectoryObject[] getAllMembers()
                                      throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets all members belonging to this DIRECTORYOBJECT.

  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllMembersIds

    protected java.lang.Long[] getAllMembersIds()
                                         throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets all members belonging to this DIRECTORYOBJECT.

  Returns:
    array of member object Ids
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDirectAncestors

    public S_DirectoryObject[] getDirectAncestors()
                                           throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets direct group ancestors of a member, returning the ancestors as an array of S_DirectoryObject.

  Returns:
    array of S_DirectoryObject representing direct ancestors of a member.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectAncestorIds

    public java.lang.Long[] getDirectAncestorIds()
                                          throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the direct ancestors of this DIRECTORYOBJECT.

  Returns:
    array of IDs
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllAncestors

    public S_DirectoryObject[] getAllAncestors()
                                        throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets all ancestors of a member, returning the ancestors as an array of S_DirectoryObject.

  Returns:
    array of S_DirectoryObject representing ancestors of a member
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAllAncestorIds

    protected java.lang.Long[] getAllAncestorIds()
                                          throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the set of all IDs that are members (direct or indirect) of this group.

  Returns:
    array of member object Ids
  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### addAncestorsToSet

    protected void addAncestorsToSet(S_DirectoryObject.AncestorSet aset)
                              throws IfsException

  Description copied from class: `S_DirectoryObject`
  Gets the set of all IDs that are ancestors (direct or indirect) of this directory object.

  Throws:
    `IfsException` - if the operation fails.
  (Unpublished)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition def)
                               throws IfsException

  Description copied from class: `S_DirectoryObject`
  operations to be performed after creating an instance. This is overridden by classes that need to perform operations after successfully creating the rows for the new instance.

  Overrides:
    `extendedPostInsert` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - object definition
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_DirectoryObject`
  Performs the necessary operations before freeing an object.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_DirectoryObject`
  Performs the necessary operations after freeing an object.

  This override will remove invalid ACEs.

  Overrides:
    `extendedPostFree` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### verifyCanBeMember

    protected void verifyCanBeMember()
                              throws IfsException

  Description copied from class: `S_DirectoryObject`
  Verifies that this instance can be a member of a group.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToSDirectoryObjectArray

    protected static S_DirectoryObject[] vectorToSDirectoryObjectArray(S_LibrarySession sess,
                                                                       java.util.Vector vector)
                                                                throws IfsException

  Description copied from class: `S_DirectoryObject`
  Converts a Vector of S_DirectoryObject to an array of S_DirectoryObject.

  Returns:
    array of S_DirectoryObject
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructDirectoryObjectArray

    protected static S_DirectoryObject[] constructDirectoryObjectArray(S_LibrarySession sess,
                                                                       java.lang.Long[] ids)
                                                                throws IfsException

  Description copied from class: `S_DirectoryObject`
  Construct a DirectoryObject array from an array of object IDs.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of DirectoryObjects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD